| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Protocols
Protocols.XMLRPC
Protocols.XMLRPC.Call

# Class Protocols.XMLRPC.Call

Description

  Represents a function call made to a XML-RPC server.

See also

  decode_call()

syntax

  `string Protocols.XMLRPC.Call.method_name`
  `array Protocols.XMLRPC.Call.params` `void Protocols.XMLRPC.Call(string method_name, array params)`

Variable method_name

  `int Protocols.XMLRPC.Call.method_name`

Description

  Represents `<methodName>` in the XML-RPC standard.

Variable params

  `array Protocols.XMLRPC.Call.params`

Description

  Represents `<params>` in the XML-RPC standard where all datatypes have been converted to equivalent or similar datatypes in Pike.